Inhalte
Index 🔎︎

# Funktion DateValue

Rechnet eine Datumszeichenkette in einen Zahlenwert um und gibt diesen zurück. Die Datumszeichenkette ist ein vollständiges Datum in einem einzigen numerischen Wert. Sie können diese serielle Zahl auch verwenden, um den zeitlichen Abstand zwischen zwei Datumswerten zu bestimmen.

## Syntax:

    DateValue [(Datum)]

## Rückgabewert:

Datum

## Parameter:

Datum: Zeichenkette, die das Datum enthält, das Sie berechnen möchten. Im Gegensatz zur Funktion DateSerial, die Jahre, Monate und Tage als separate numerische Werte übergibt, fordert die Funktion DateValue, dass die Zeichenkette Datum einem für Ihre Gebietsschema-Einstellung definierten Datumserkennungsmuster entspricht (siehe LibreOffice – Einstellungen Extras – Optionen… –Spracheinstellungen – Sprachen) oder dem ISO-Datumsformat (momentan wird nur das ISO-Format mit Bindestrichen, beispielsweise "2012-12-31" akzeptiert).

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleDateValue
        MsgBox DateValue("12/02/2011")
    End Sub